Skip to main content
`Ctrl`+`K`

# DMLabelGetValue

Return the value a label assigns to a point, or the label’s default value (which is initially -1, and can be changed with `DMLabelSetDefaultValue()`)

## Synopsis

    #include "petscdmlabel.h"
    #include "petscsection.h"
    PetscErrorCode DMLabelGetValue(DMLabel label, PetscInt point, PetscInt *value)

Not Collective

## Input Parameters

- label - the `DMLabel`

- point - the point

## Output Parameter

- value - The point value, or the default value (-1 by default)

## Note

A label may assign multiple values to a point. No guarantees are made about which value is returned in that case. Use `DMLabelStratumHasPoint()` to check for inclusion in a specific value stratum.

## See Also

`DMLabel`, `DM`, `DMLabelCreate()`, `DMLabelSetValue()`, `DMLabelClearValue()`, `DMLabelGetDefaultValue()`, `DMLabelSetDefaultValue()`

## Level

intermediate

## Location

src/dm/label/dmlabel.c

## Examples

src/dm/impls/plex/tutorials/ex19.c
src/dm/impls/plex/tutorials/ex10.c
src/dm/label/tutorials/ex1.c
src/dm/impls/plex/tutorials/ex17.c
src/ts/tutorials/ex11.c
src/dm/impls/plex/tutorials/ex18.c
src/dm/impls/plex/tutorials/ex1f90.F90
src/snes/tutorials/ex17.c

Index of all DMLabel routines
Table of Contents for all manual pages
Index of all manual pages